using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class bevetelezes : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        db.penznem penznemLista;
        if (!IsPostBack)
        {
            DropDownList1.Items.Clear();
            DropDownList1.Items.Add("Válassz...");

            for (int i = 1; i < 5; i++)
            {
                db.adatbazisMuveletek.arfolyamLekerdezes(i, out penznemLista);
                DropDownList1.Items.Add(penznemLista.penznemNev);
            }
        }
    }
    protected void TextBox1_TextChanged(object sender, EventArgs e)
    {
        int Count = 0;
        //adatbázis lekérdezés ESZKOZOK táblalában TextBox1.Text létezik e
        db.adatbazisMuveletek.cikkszamLekerdezes(TextBox1.Text, out Count);
        //ha benne van
        if (Count > 0)
        {
            int ID = 0;
            db.adatbazisMuveletek.cikkszamToID(TextBox1.Text, out ID);

            db.termekLista termekJellemzok = new db.termekLista();
            db.adatbazisMuveletek.termekLekerdezes(ID, out termekJellemzok);

            TextBox3.Text = termekJellemzok.megnevezes;
            lbtnUjCikkszam.Visible = false;
            TextBox3.Enabled = false;
            TextBox4.Enabled = true;
            TextBox5.Enabled = true;
            Button1.Enabled = true;
            Button2.Enabled = true;
            DropDownList1.Enabled = true;

        }

        //ha nincs benne
        else
        {
            TextBox3.Text = "";
            lbtnUjCikkszam.Visible = true;
            TextBox3.Enabled = false;
            TextBox4.Enabled = false;
            TextBox5.Enabled = false;
            Button1.Enabled = false;
            Button2.Enabled = false;
            DropDownList1.Enabled = false;
            lbtnUjCikkszam.PostBackUrl = "Ujeszkoz.aspx?cikkszam=" + TextBox1.Text;
        }


    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (!DropDownList1.SelectedValue.Equals("Válassz..."))
        {
            Label7.Visible = false;
            int mennyiseg = 0;
            int ID = 0;
            int ar = 0;
            db.adatbazisMuveletek.cikkszamToID(TextBox1.Text, out ID);
            db.termekLista termekJellemzok = new db.termekLista();
            db.adatbazisMuveletek.termekLekerdezes(ID, out termekJellemzok);
            db.adatbazisMuveletek.penznemToArfolyam(DropDownList1.SelectedValue, out ar);
            mennyiseg = termekJellemzok.keszlet + Convert.ToInt32(TextBox4.Text);
            ar = ar * Convert.ToInt32(TextBox5.Text);
            ar = ((termekJellemzok.ar * termekJellemzok.keszlet) + (ar * Convert.ToInt32(TextBox4.Text))) / mennyiseg;


            db.adatbazisMuveletek.bevetelezesUpdate(ID, mennyiseg, ar);
            //TextBox5.Text = mennyiseg.ToString();
        }
        else
        {
            Label7.Visible = true;
        }

    }
    protected void TextBox4_TextChanged(object sender, EventArgs e)
    {

    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (!DropDownList1.SelectedValue.Equals("Válassz..."))
        {
            Label7.Visible = false;
        }
        else
        {
            Label7.Visible = true;
        }
    }
}
